Bug Hunting Session
Bug 41189 - Editing to change capitalized text does not work as expected
Summary: Editing to change capitalized text does not work as expected
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Character
  Show dependency treegraph
 
Reported: 2011-09-25 09:17 UTC by Ed Servello
Modified: 2019-05-25 02:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Text in table showing inconsistency in character format effects (44.02 KB, image/PDF)
2011-12-24 12:31 UTC, Ed Servello
Details
ODT/PDF showing original text and expected result under v4132. (41.60 KB, application/zip)
2013-11-23 02:00 UTC, Owen Genat (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Servello 2011-09-25 09:17:48 UTC
Capitalized text cannot be changed to other formats (Title case, Small caps) using the Format>Character>Font Effects>Effects option. The "Lowercase" option works but other options just result in all upper case text. The Format>Change Case option does work but that cannot be used as a text style.

My problem: I am merging database fields into a form. The data is stored as upper case text. Once the data is merged into the target document, there is no evident way to change from all uppercase to Title case, which is required for this document.
Comment 1 Björn Michaelsen 2011-12-23 12:39:21 UTC Comment hidden (obsolete)
Comment 2 Ed Servello 2011-12-24 12:31:10 UTC
Created attachment 54795 [details]
Text in table showing inconsistency in character format effects

The 'Format>Character>Font Effects>Effects' function exhibits the problem shown in the file attachment to this bug report. The 'Format>Change Case' function appears to work correctly, so there must be different code involved.

If the character formatting must be applied as a style (e.g. to a merge document), then the 'Format>Change Case' function that works correctly is not available as a style choice and the alternative 'Format>Character>Font Effects>Effects' does not work correctly.
Comment 3 Owen Genat (retired) 2013-11-23 02:00:56 UTC
Created attachment 89668 [details]
ODT/PDF showing original text and expected result under v4132.

From what I can see under Ubuntu 10.04 x86_64 running v4.1.3.2 Build ID: 70feb7d99726f064edab4605a8ab840c50ec57a the main problem is the application of the "Title" character style, whether to text in capital or reverse case. The issue of whether small capitals should be unicameral or bicameral will never be resolved, so the current treatment would seem reasonable.
Comment 4 Owen Genat (retired) 2013-11-23 02:02:29 UTC
Platform set to All, as a result of comment #3.
Comment 5 Alex Thurgood 2015-01-03 17:39:20 UTC Comment hidden (no-value)
Comment 6 QA Administrators 2016-01-17 20:04:39 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2017-03-06 14:28:28 UTC Comment hidden (obsolete)
Comment 8 Timur 2018-05-24 17:45:35 UTC
Repro in 6.1+.

Question is whether this really is a bug.
https://help.libreoffice.org/6.1/en-US/text/swriter/guide/text_capital.html says:
"When you apply formatting to your text by Format - Character, the text stays the same, it is only displayed in another way. On the other hand, when you choose Format - Text or Format - Text - Change Case, the text is permanently changed."

Looks to me like it is, Title case and Small caps should display all text, regardless of previous permanent format, as requested.
Comment 9 QA Administrators 2019-05-25 02:56:08 UTC
Dear Ed Servello,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug